Uberspace: PHP-Version für Ordner ändern

Wer bei Uberspace.de für einen einzelnen Ordner eine andere PHP-Version benötigt, sollte folgendermaßen vorgehen:

ssh <dein Uberspace>
cd fcgi-bin
nano php-fcgi-starter-5.6

Das “5.6” natürlich durch die PHP-Version ersetzen, die du möchtest. Dort folgendes einfügen:

#!/bin/sh
export USER=”username”
export HOME=”/home/username”
export TMPDIR=”/home/$USER/tmp”
exec /package/host/localhost/php-5.6/bin/php-cgi

Aufpassen, Medium nutzt die falschen Anführungszeichen!

Dann noch ausführbar machen und die korrekten Rechte setzen:

chmod +x php-fcgi-starter-5.6
chmod 755 php-fcgi-starter-5.6

Mit STRG+X speichern und beenden. Dann die .htaccess in dem Ordner anpassen, in dem die PHP-Version geändert werden soll:

Action php-fcgid /fcgi-bin/php-fcgi-starter-5.6

Und fertig!
Gut, um z.B. SimpleID zum Laufen zu bringen, welches nur mit einer PHP-Version < 7.0 zurechtkommt.

Like what you read? Give Andreas a round of applause.

From a quick cheer to a standing ovation, clap to show how much you enjoyed this story.